diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/nstime.h ns-3.44/src/core/model/nstime.h
--- ns-3.43/src/core/model/nstime.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/nstime.h	2025-03-09 16:55:49.359371000 -0700
@@ -22,8 +22,8 @@
 #include <stdint.h>
 
 /**
- * \file
- * \ingroup time
+ * @file
+ * @ingroup time
  * Declaration of classes ns3::Time and ns3::TimeWithUnit,
  * and the TimeValue implementation classes.
  */
@@ -34,8 +34,8 @@
 class TimeWithUnit;
 
 /**
- * \ingroup core
- * \defgroup time Virtual Time
+ * @ingroup core
+ * @defgroup time Virtual Time
  *  Management of virtual time in real world units.
  *
  * The underlying simulator is unit agnostic, just dealing with
@@ -50,7 +50,7 @@
  * base resolution, before Simulator::Run().
  */
 /**
- * \ingroup time
+ * @ingroup time
  * Simulation virtual time values and global simulation resolution.
  *
  * This class defines all the classic C++ addition/subtraction
@@ -59,12 +59,12 @@
  * compare Time objects.
  *
  * For example:
- * \code
+ * @code
  * Time t1 = Seconds (10.0);
  * Time t2 = Seconds (10.0);
  * Time t3 = t1;
  * t3 += t2;
- * \endcode
+ * @endcode
  *
  * You can also use the following non-member functions to manipulate
  * any of these ns3::Time object:
@@ -114,8 +114,8 @@
 
     /**
      *  Assignment operator
-     * \param [in] o Time to assign.
-     * \return The Time.
+     * @param [in] o Time to assign.
+     * @return The Time.
      */
     inline Time& operator=(const Time& o)
     {
@@ -136,7 +136,7 @@
     /**
      *  Copy constructor
      *
-     * \param [in] o Time to copy
+     * @param [in] o Time to copy
      */
     inline Time(const Time& o)
         : m_data(o.m_data)
@@ -150,7 +150,7 @@
     /**
      * Move constructor
      *
-     * \param [in] o Time from which take the data
+     * @param [in] o Time from which take the data
      */
     Time(Time&& o)
         : m_data(o.m_data)
@@ -162,14 +162,14 @@
     }
 
     /**
-     * \name Numeric constructors
+     * @name Numeric constructors
      * Construct from a numeric value.
      * @{
      */
     /**
      * Construct from a numeric value.
      * The current time resolution will be assumed as the unit.
-     * \param [in] v The value.
+     * @param [in] v The value.
      */
     explicit inline Time(double v)
         : m_data(llround(v))
@@ -264,14 +264,14 @@
      * and the unit. If the string only contains a number, it is treated as seconds.
      * Any otherwise malformed string causes a fatal error to occur.
      *
-     * \param [in] s The string to parse into a Time
+     * @param [in] s The string to parse into a Time
      */
     explicit Time(const std::string& s);
 
     /**
      * Minimum representable Time
      * Not to be confused with Min(Time,Time).
-     * \returns the minimum representable Time.
+     * @returns the minimum representable Time.
      */
     static Time Min()
     {
@@ -281,7 +281,7 @@
     /**
      * Maximum representable Time
      * Not to be confused with Max(Time,Time).
-     * \returns the maximum representable Time.
+     * @returns the maximum representable Time.
      */
     static Time Max()
     {
@@ -299,7 +299,7 @@
 
     /**
      * Exactly equivalent to `t == 0`.
-     * \return \c true if the time is zero, \c false otherwise.
+     * @return \c true if the time is zero, \c false otherwise.
      */
     inline bool IsZero() const
     {
@@ -308,7 +308,7 @@
 
     /**
      * Exactly equivalent to `t <= 0`.
-     * \return \c true if the time is negative or zero, \c false otherwise.
+     * @return \c true if the time is negative or zero, \c false otherwise.
      */
     inline bool IsNegative() const
     {
@@ -317,7 +317,7 @@
 
     /**
      * Exactly equivalent to `t >= 0`.
-     * \return \c true if the time is positive or zero, \c false otherwise.
+     * @return \c true if the time is positive or zero, \c false otherwise.
      */
     inline bool IsPositive() const
     {
@@ -326,7 +326,7 @@
 
     /**
      * Exactly equivalent to `t < 0`.
-     * \return \c true if the time is strictly negative, \c false otherwise.
+     * @return \c true if the time is strictly negative, \c false otherwise.
      */
     inline bool IsStrictlyNegative() const
     {
@@ -335,7 +335,7 @@
 
     /**
      * Exactly equivalent to `t > 0`.
-     * \return \c true if the time is strictly positive, \c false otherwise.
+     * @return \c true if the time is strictly positive, \c false otherwise.
      */
     inline bool IsStrictlyPositive() const
     {
@@ -345,8 +345,8 @@
     /**
      *  Compare \pname{this} to another Time
      *
-     * \param [in] o The other Time
-     * \return -1,0,+1 if `this < o`, `this == o`, or `this > o`
+     * @param [in] o The other Time
+     * @return -1,0,+1 if `this < o`, `this == o`, or `this > o`
      */
     inline int Compare(const Time& o) const
     {
@@ -354,7 +354,7 @@
     }
 
     /**
-     * \name Convert to Number in a Unit
+     * @name Convert to Number in a Unit
      * Convert a Time to number, in indicated units.
      *
      * Conversions to seconds and larger will return doubles, with
@@ -367,7 +367,7 @@
      * Get an approximation of the time stored in this instance
      * in the indicated unit.
      *
-     * \return An approximate value in the indicated unit.
+     * @return An approximate value in the indicated unit.
      */
     inline double GetYears() const
     {
@@ -422,14 +422,14 @@
     /**@}*/ // Convert to Number in a Unit.
 
     /**
-     * \name Convert to Raw Value
+     * @name Convert to Raw Value
      * Convert a Time to a number in the current resolution units.
      *
      * @{
      */
     /**
      * Get the raw time value, in the current resolution unit.
-     * \returns The raw time value
+     * @returns The raw time value
      */
     inline int64_t GetTimeStep() const
     {
@@ -449,7 +449,7 @@
     /**@}*/ // Convert to Raw Value
 
     /**
-     * \param [in] resolution The new resolution to use
+     * @param [in] resolution The new resolution to use
      *
      * Change the global resolution used to convert all
      * user-provided time values in Time objects and Time objects
@@ -457,15 +457,15 @@
      */
     static void SetResolution(Unit resolution);
     /**
-     * \returns The current global resolution.
+     * @returns The current global resolution.
      */
     static Unit GetResolution();
 
     /**
      * Create a Time in the current unit.
      *
-     * \param [in] value The value of the new Time.
-     * \return A Time with \pname{value} in the current time unit.
+     * @param [in] value The value of the new Time.
+     * @return A Time with \pname{value} in the current time unit.
      */
     inline static Time From(const int64x64_t& value)
     {
@@ -473,7 +473,7 @@
     }
 
     /**
-     * \name Create Times from Values and Units
+     * @name Create Times from Values and Units
      * Create Times from values given in the indicated units.
      *
      * @{
@@ -481,12 +481,18 @@
     /**
      * Create a Time equal to \pname{value}  in unit \c unit
      *
-     * \param [in] value The new Time value, expressed in \c unit
-     * \param [in] unit The unit of \pname{value}
-     * \return The Time representing \pname{value} in \c unit
+     * @param [in] value The new Time value, expressed in \c unit
+     * @param [in] unit The unit of \pname{value}
+     * @return The Time representing \pname{value} in \c unit
      */
     inline static Time FromInteger(uint64_t value, Unit unit)
     {
+        // Optimization: if value is 0, don't process the unit
+        if (value == 0)
+        {
+            return Time();
+        }
+
         Information* info = PeekInformation(unit);
 
         NS_ASSERT_MSG(info->isValid, "Attempted a conversion from an unavailable unit.");
@@ -504,11 +510,23 @@
 
     inline static Time FromDouble(double value, Unit unit)
     {
+        // Optimization: if value is 0, don't process the unit nor cast to int64x64_t
+        if (value == 0)
+        {
+            return Time();
+        }
+
         return From(int64x64_t(value), unit);
     }
 
     inline static Time From(const int64x64_t& value, Unit unit)
     {
+        // Optimization: if value is 0, don't process the unit
+        if (value == 0)
+        {
+            return Time();
+        }
+
         Information* info = PeekInformation(unit);
 
         NS_ASSERT_MSG(info->isValid, "Attempted a conversion from an unavailable unit.");
@@ -530,7 +548,7 @@
     /**@}*/ // Create Times from Values and Units
 
     /**
-     * \name Get Times as Numbers in Specified Units
+     * @name Get Times as Numbers in Specified Units
      * Get the Time as integers or doubles in the indicated unit.
      *
      * @{
@@ -538,11 +556,17 @@
     /**
      * Get the Time value expressed in a particular unit.
      *
-     * \param [in] unit The desired unit
-     * \return The Time expressed in \pname{unit}
+     * @param [in] unit The desired unit
+     * @return The Time expressed in \pname{unit}
      */
     inline int64_t ToInteger(Unit unit) const
     {
+        // Optimization: if value is 0, don't process the unit
+        if (m_data == 0)
+        {
+            return 0;
+        }
+
         Information* info = PeekInformation(unit);
 
         NS_ASSERT_MSG(info->isValid, "Attempted a conversion to an unavailable unit.");
@@ -561,11 +585,23 @@
 
     inline double ToDouble(Unit unit) const
     {
+        // Optimization: if value is 0, don't process the unit nor cast from int64x64_t
+        if (m_data == 0)
+        {
+            return 0;
+        }
+
         return To(unit).GetDouble();
     }
 
     inline int64x64_t To(Unit unit) const
     {
+        // Optimization: if value is 0, don't process the unit
+        if (m_data == 0)
+        {
+            return 0;
+        }
+
         Information* info = PeekInformation(unit);
 
         NS_ASSERT_MSG(info->isValid, "Attempted a conversion to an unavailable unit.");
@@ -587,8 +623,8 @@
     /**
      * Round a Time to a specific unit.
      * Rounding is to nearest integer.
-     * \param [in] unit The unit to round to.
-     * \return The Time rounded to the specific unit.
+     * @param [in] unit The unit to round to.
+     * @return The Time rounded to the specific unit.
      */
     Time RoundTo(Unit unit) const
     {
@@ -599,21 +635,21 @@
      * Attach a unit to a Time, to facilitate output in a specific unit.
      *
      * For example,
-     * \code
+     * @code
      *   Time t (3.14e9);  // Pi seconds
      *   std::cout << t.As (Time::MS) << std::endl;
-     * \endcode
+     * @endcode
      * will print ``+3140.0ms``
      *
-     * \param [in] unit The unit to use.
-     * \return The Time with embedded unit.
+     * @param [in] unit The unit to use.
+     * @return The Time with embedded unit.
      */
     TimeWithUnit As(const Unit unit = Time::AUTO) const;
 
     /**
      * TracedCallback signature for Time
      *
-     * \param [in] value Current value of Time
+     * @param [in] value Current value of Time
      */
     typedef void (*TracedCallback)(Time value);
 
@@ -639,7 +675,7 @@
     /**
      *  Get the current Resolution
      *
-     *  \return A pointer to the current Resolution
+     *  @return A pointer to the current Resolution
      */
     static inline Resolution* PeekResolution()
     {
@@ -650,8 +686,8 @@
     /**
      *  Get the Information record for \pname{timeUnit} for the current Resolution
      *
-     *  \param [in] timeUnit The Unit to get Information for
-     *  \return The Information for \pname{timeUnit}
+     *  @param [in] timeUnit The Unit to get Information for
+     *  @return The Information for \pname{timeUnit}
      */
     static inline Information* PeekInformation(Unit timeUnit)
     {
@@ -661,15 +697,15 @@
     /**
      *  Set the default resolution
      *
-     *  \return The Resolution object for the default resolution.
+     *  @return The Resolution object for the default resolution.
      */
     static Resolution& SetDefaultNsResolution();
     /**
      *  Set the current Resolution.
      *
-     *  \param [in] unit The unit to use as the new resolution.
-     *  \param [in,out] resolution The Resolution record to update.
-     *  \param [in] convert Whether to convert existing Time objects to the new resolution.
+     *  @param [in] unit The unit to use as the new resolution.
+     *  @param [in,out] resolution The Resolution record to update.
+     *  @param [in] convert Whether to convert existing Time objects to the new resolution.
      */
     static void SetResolution(Unit unit, Resolution* resolution, const bool convert = true);
 
@@ -677,7 +713,7 @@
      *  Record all instances of Time, so we can rescale them when
      *  the resolution changes.
      *
-     *  \internal
+     *  @internal
      *
      *  We use a std::set so we can remove the record easily when
      *  ~Time() is called.
@@ -698,7 +734,7 @@
      *  Record of outstanding Time objects which will need conversion
      *  when the resolution is set.
      *
-     *  \internal
+     *  @internal
      *
      *  Use a classic static variable so we can check in Time ctors
      *  without a function call.
@@ -714,48 +750,48 @@
     /**
      *  Function to force static initialization of Time.
      *
-     * \return \c true on the first call
+     * @return \c true on the first call
      */
     static bool StaticInit();
 
   private:
     /**
-     * \cond HIDE_FROM_DOXYGEN
+     * @cond HIDE_FROM_DOXYGEN
      * Doxygen bug throws a warning here, so hide from Doxygen.
      *
      * Friend the Simulator class so it can call the private function
      * ClearMarkedTimes ()
      */
     friend class Simulator;
-    /** \endcond */
+    /** @endcond */
 
     /**
      *  Remove all MarkedTimes.
      *
-     *  \internal
+     *  @internal
      *  Has to be visible to the Simulator class, hence the friending.
      */
     static void ClearMarkedTimes();
     /**
      *  Record a Time instance with the MarkedTimes.
-     *  \param [in] time The Time instance to record.
+     *  @param [in] time The Time instance to record.
      */
     static void Mark(Time* const time);
     /**
      *  Remove a Time instance from the MarkedTimes, called by ~Time().
-     *  \param [in] time The Time instance to remove.
+     *  @param [in] time The Time instance to remove.
      */
     static void Clear(Time* const time);
     /**
      *  Convert existing Times to the new unit.
-     *  \param [in] unit The Unit to convert existing Times to.
+     *  @param [in] unit The Unit to convert existing Times to.
      */
     static void ConvertTimes(const Unit unit);
 
     // Operator and related functions which need access
 
     /**
-     * \name Comparison operators
+     * @name Comparison operators
      * @{
      */
     friend bool operator==(const Time& lhs, const Time& rhs);
@@ -768,7 +804,7 @@
     /**@}*/ // Comparison operators
 
     /**
-     * \name Arithmetic operators
+     * @name Arithmetic operators
      * @{
      */
     friend Time operator+(const Time& lhs, const Time& rhs);
@@ -805,7 +841,7 @@
     friend std::enable_if_t<std::is_floating_point_v<T>, Time> operator/(const Time& lhs, T rhs);
 
     /**
-     * \name Compound assignment operators
+     * @name Compound assignment operators
      * @{
      */
     friend Time& operator+=(Time& lhs, const Time& rhs);
@@ -822,8 +858,8 @@
 /**
  * TracedValue callback signature for Time
  *
- * \param [in] oldValue Original value of the traced variable
- * \param [in] newValue New value of the traced variable
+ * @param [in] oldValue Original value of the traced variable
+ * @param [in] newValue New value of the traced variable
  */
 typedef void (*Time)(Time oldValue, Time newValue);
 
@@ -831,9 +867,9 @@
 
 /**
  * Equality operator for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns \c true if the two input values are equal.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns \c true if the two input values are equal.
  */
 inline bool
 operator==(const Time& lhs, const Time& rhs)
@@ -843,9 +879,9 @@
 
 /**
  * Inequality operator for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns \c true if the two input values not are equal.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns \c true if the two input values not are equal.
  */
 inline bool
 operator!=(const Time& lhs, const Time& rhs)
@@ -855,9 +891,9 @@
 
 /**
  * Less than or equal operator for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns \c true if the first input value is less than or equal to the second input value.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns \c true if the first input value is less than or equal to the second input value.
  */
 inline bool
 operator<=(const Time& lhs, const Time& rhs)
@@ -867,9 +903,9 @@
 
 /**
  * Greater than or equal operator for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns \c true if the first input value is greater than or equal to the second input value.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns \c true if the first input value is greater than or equal to the second input value.
  */
 inline bool
 operator>=(const Time& lhs, const Time& rhs)
@@ -879,9 +915,9 @@
 
 /**
  * Less than operator for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns \c true if the first input value is less than the second input value.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns \c true if the first input value is less than the second input value.
  */
 inline bool
 operator<(const Time& lhs, const Time& rhs)
@@ -891,9 +927,9 @@
 
 /**
  * Greater than operator for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns \c true if the first input value is greater than the second input value.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns \c true if the first input value is greater than the second input value.
  */
 inline bool
 operator>(const Time& lhs, const Time& rhs)
@@ -913,9 +949,9 @@
  *
  *     if (when < m_event) ...
  *
- * \param [in] time The Time operand.
- * \param [in] event The EventId
- * \returns \c true if \p time is before (less than) the
+ * @param [in] time The Time operand.
+ * @param [in] event The EventId
+ * @returns \c true if \p time is before (less than) the
  *          time stamp of the EventId.
  */
 inline bool
@@ -932,9 +968,9 @@
 
 /**
  * Addition operator for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns The sum of the two input values.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns The sum of the two input values.
  */
 inline Time
 operator+(const Time& lhs, const Time& rhs)
@@ -944,9 +980,9 @@
 
 /**
  * Subtraction operator for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns The difference of the two input values.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns The difference of the two input values.
  */
 inline Time
 operator-(const Time& lhs, const Time& rhs)
@@ -956,9 +992,9 @@
 
 /**
  * Scale a Time by a numeric value.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns The Time scaled by the other operand.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns The Time scaled by the other operand.
  */
 inline Time
 operator*(const Time& lhs, const int64x64_t& rhs)
@@ -970,9 +1006,9 @@
 
 /**
  * Scale a Time by a numeric value.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns The Time scaled by the other operand.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns The Time scaled by the other operand.
  */
 inline Time
 operator*(const int64x64_t& lhs, const Time& rhs)
@@ -983,11 +1019,11 @@
 /**
  * Scale a Time by an integer value.
  *
- * \tparam T Integer data type (int, long, etc.)
+ * @tparam T Integer data type (int, long, etc.)
  *
- * \param [in] lhs The Time instance to scale
- * \param [in] rhs The scale value
- * \returns A new Time instance containing the scaled value
+ * @param [in] lhs The Time instance to scale
+ * @param [in] rhs The scale value
+ * @returns A new Time instance containing the scaled value
  */
 template <class T>
 std::enable_if_t<std::is_integral_v<T>, Time>
@@ -1013,11 +1049,11 @@
  * value.  It swaps the arguments so that the Time argument comes first
  * and calls the appropriate overload of operator*
  *
- * \tparam T Arithmetic data type (int, long, float, etc.)
+ * @tparam T Arithmetic data type (int, long, float, etc.)
  *
- * \param [in] lhs The scale value
- * \param [in] rhs The Time instance to scale
- * \returns A new Time instance containing the scaled value
+ * @param [in] lhs The scale value
+ * @param [in] rhs The Time instance to scale
+ * @returns A new Time instance containing the scaled value
  */
 template <class T>
 std::enable_if_t<std::is_arithmetic_v<T>, Time>
@@ -1032,17 +1068,17 @@
  * This can be truncated to integer, or converted to double
  * (with loss of precision).  Assuming `ta` and `tb` are Times:
  *
- * \code
+ * @code
  *     int64x64_t ratio = ta / tb;
  *
  *     int64_t i = ratio.GetHigh ();      // Get just the integer part, resulting in truncation
  *
  *     double ratioD = double (ratio);    // Convert to double, with loss of precision
- * \endcode
+ * @endcode
  *
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns The exact ratio of the two operands.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns The exact ratio of the two operands.
  */
 inline int64x64_t
 operator/(const Time& lhs, const Time& rhs)
@@ -1054,9 +1090,9 @@
 
 /**
  * Scale a Time by a numeric value.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns The Time divided by the scalar operand.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns The Time divided by the scalar operand.
  */
 inline Time
 operator/(const Time& lhs, const int64x64_t& rhs)
@@ -1069,11 +1105,11 @@
 /**
  * Divide a Time by an integer value.
  *
- * \tparam T Integer data type (int, long, etc.)
+ * @tparam T Integer data type (int, long, etc.)
  *
- * \param [in] lhs The Time instance to scale
- * \param [in] rhs The scale value
- * \returns A new Time instance containing the scaled value
+ * @param [in] lhs The Time instance to scale
+ * @param [in] rhs The scale value
+ * @returns A new Time instance containing the scaled value
  */
 template <class T>
 std::enable_if_t<std::is_integral_v<T>, Time>
@@ -1099,10 +1135,10 @@
  *
  *     Rem (ta, tb)  ==  ta % tb;
  *
- * \see Div()
- * \param [in] lhs The first time value
- * \param [in] rhs The second time value
- * \returns The remainder of `lhs / rhs`.
+ * @see Div()
+ * @param [in] lhs The first time value
+ * @param [in] rhs The second time value
+ * @returns The remainder of `lhs / rhs`.
  * @{
  */
 inline Time
@@ -1127,17 +1163,17 @@
  *
  * As usual, if `ta`, and `tb` are both Times
  *
- * \code
+ * @code
  *     ta  ==  tb * Div (ta, tb) + Rem (ta, tb);
  *
  *     ta  ==  tb * (ta / tb).GetHigh()  + ta % tb;
- * \endcode
+ * @endcode
  *
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns The integer portion of `lhs / rhs`.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns The integer portion of `lhs / rhs`.
  *
- * \see Rem()
+ * @see Rem()
  */
 inline int64_t
 Div(const Time& lhs, const Time& rhs)
@@ -1147,9 +1183,9 @@
 
 /**
  * Compound addition assignment for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns The sum of the two inputs.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns The sum of the two inputs.
  */
 inline Time&
 operator+=(Time& lhs, const Time& rhs)
@@ -1160,9 +1196,9 @@
 
 /**
  * Compound subtraction assignment for Time.
- * \param [in] lhs The first value
- * \param [in] rhs The second value
- * \returns The difference of the two operands.
+ * @param [in] lhs The first value
+ * @param [in] rhs The second value
+ * @returns The difference of the two operands.
  */
 inline Time&
 operator-=(Time& lhs, const Time& rhs)
@@ -1173,8 +1209,8 @@
 
 /**
  * Absolute value for Time.
- * \param [in] time The Time value
- * \returns The absolute value of the input.
+ * @param [in] time The Time value
+ * @returns The absolute value of the input.
  */
 inline Time
 Abs(const Time& time)
@@ -1184,9 +1220,9 @@
 
 /**
  * Maximum of two Times.
- * \param [in] timeA The first value
- * \param [in] timeB The second value
- * \returns The larger of the two operands.
+ * @param [in] timeA The first value
+ * @param [in] timeB The second value
+ * @returns The larger of the two operands.
  */
 inline Time
 Max(const Time& timeA, const Time& timeB)
@@ -1196,9 +1232,9 @@
 
 /**
  * Minimum of two Times.
- * \param [in] timeA The first value
- * \param [in] timeB The second value
- * \returns The smaller of the two operands.
+ * @param [in] timeA The first value
+ * @param [in] timeB The second value
+ * @returns The smaller of the two operands.
  */
 inline Time
 Min(const Time& timeA, const Time& timeB)
@@ -1220,11 +1256,11 @@
  * The stream `width` and `precision` are ignored; Time output always
  * includes ".0".
  *
- * \see As() for more flexible output formatting.
+ * @see As() for more flexible output formatting.
  *
- * \param [in,out] os The output stream.
- * \param [in] time The Time to put on the stream.
- * \return The stream.
+ * @param [in,out] os The output stream.
+ * @param [in] time The Time to put on the stream.
+ * @return The stream.
  */
 std::ostream& operator<<(std::ostream& os, const Time& time);
 /**
@@ -1232,28 +1268,28 @@
  *
  * Uses the Time(const std::string &) constructor
  *
- * \param [in,out] is The input stream.
- * \param [out] time The Time variable to set from the stream data.
- * \return The stream.
+ * @param [in,out] is The input stream.
+ * @param [out] time The Time variable to set from the stream data.
+ * @return The stream.
  */
 std::istream& operator>>(std::istream& is, Time& time);
 
 /**
- * \ingroup time
- * \defgroup timecivil Standard Time Units.
+ * @ingroup time
+ * @defgroup timecivil Standard Time Units.
  * Convenience constructors in standard units.
  *
  * For example:
- * \code
+ * @code
  *   Time t = Seconds (2.0);
  *   Simulator::Schedule (Seconds (5.0), ...);
- * \endcode
+ * @endcode
  */
 /**
- * \ingroup timecivil
+ * @ingroup timecivil
  * Construct a Time in the indicated unit.
- * \param [in] value The value
- * \return The Time
+ * @param [in] value The value
+ * @return The Time
  * @{
  */
 inline Time
@@ -1381,10 +1417,10 @@
 /**
  * Scheduler interface.
  *
- * \note This is internal to the Time implementation.
- * \param [in] ts The time value, in the current unit.
- * \return A Time.
- * \relates Time
+ * @note This is internal to the Time implementation.
+ * @param [in] ts The time value, in the current unit.
+ * @return A Time.
+ * @relates Time
  */
 inline Time
 TimeStep(uint64_t ts)
@@ -1396,21 +1432,21 @@
 ATTRIBUTE_ACCESSOR_DEFINE(Time);
 
 /**
- * \ingroup attribute_Time
+ * @ingroup attribute_Time
  * Helper to make a Time checker with bounded range.
  * Both limits are inclusive
  *
- * \param [in] min Minimum allowed value.
- * \param [in] max Maximum allowed value.
- * \return The AttributeChecker
+ * @param [in] min Minimum allowed value.
+ * @param [in] max Maximum allowed value.
+ * @return The AttributeChecker
  */
 Ptr<const AttributeChecker> MakeTimeChecker(const Time min, const Time max);
 
 /**
- * \ingroup attribute_Time
+ * @ingroup attribute_Time
  * Helper to make an unbounded Time checker.
  *
- * \return The AttributeChecker
+ * @return The AttributeChecker
  */
 inline Ptr<const AttributeChecker>
 MakeTimeChecker()
@@ -1419,11 +1455,11 @@
 }
 
 /**
- * \ingroup attribute_Time
+ * @ingroup attribute_Time
  * Helper to make a Time checker with a lower bound.
  *
- * \param [in] min Minimum allowed value.
- * \return The AttributeChecker
+ * @param [in] min Minimum allowed value.
+ * @return The AttributeChecker
  */
 inline Ptr<const AttributeChecker>
 MakeTimeChecker(const Time min)
@@ -1432,7 +1468,7 @@
 }
 
 /**
- * \ingroup time
+ * @ingroup time
  * A Time with attached unit, to facilitate output in that unit.
  */
 class TimeWithUnit
@@ -1441,8 +1477,8 @@
     /**
      * Attach a unit to a Time
      *
-     * \param [in] time The time.
-     * \param [in] unit The unit to use for output
+     * @param [in] time The time.
+     * @param [in] unit The unit to use for output
      */
     TimeWithUnit(const Time time, const Time::Unit unit)
         : m_time(time),
@@ -1456,30 +1492,30 @@
 
     /**
      * Output streamer
-     * \param [in,out] os The stream.
-     * \param [in] timeU The Time with desired unit
-     * \returns The stream.
+     * @param [in,out] os The stream.
+     * @param [in] timeU The Time with desired unit
+     * @returns The stream.
      */
     friend std::ostream& operator<<(std::ostream& os, const TimeWithUnit& timeU);
 
 }; // class TimeWithUnit
 
 /**
- * \ingroup time
+ * @ingroup time
  *
  * ns3::TypeNameGet<Time>() specialization.
- * \returns The type name as a string.
+ * @returns The type name as a string.
  */
 TYPENAMEGET_DEFINE(Time);
 
 /**
- * \ingroup time
+ * @ingroup time
  *
- * \brief Helper class to force static initialization
+ * @brief Helper class to force static initialization
  * of Time in each compilation unit, ensuring it is
  * initialized before usage.
  * This is internal to the Time implementation.
- * \relates Time
+ * @relates Time
  */
 class TimeInitializationHelper
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/object-base.cc ns-3.44/src/core/model/object-base.cc
--- ns-3.43/src/core/model/object-base.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/object-base.cc	2025-03-09 16:55:49.359371000 -0700
@@ -17,8 +17,8 @@
 #include "ns3/core-config.h"
 
 /**
- * \file
- * \ingroup object
+ * @file
+ * @ingroup object
  * ns3::ObjectBase class implementation.
  */
 
@@ -27,9 +27,9 @@
 // Explicit instantiation declaration
 
 /**
- * \ingroup callback
+ * @ingroup callback
  * Explicit instantiation for ObjectBase
- * \return A wrapper Callback
+ * @return A wrapper Callback
  * \sa ns3::MakeCallback
  */
 template Callback<ObjectBase*> MakeCallback<ObjectBase*>(ObjectBase* (*)());
@@ -44,9 +44,9 @@
  * Ensure the TypeId for ObjectBase gets fully configured
  * to anchor the inheritance tree properly.
  *
- * \relates ns3::ObjectBase
+ * @relates ns3::ObjectBase
  *
- * \return The TypeId for ObjectBase.
+ * @return The TypeId for ObjectBase.
  */
 static TypeId
 GetObjectIid()
